import 'package:flutter/material.dart';
import 'package:sendtrain/classes/activity_action.dart';

class ActivityActionView extends StatefulWidget {
  const ActivityActionView({super.key, required this.action});

  final ActivityAction action;

  @override
  State<ActivityActionView> createState() => _ActivityActionViewState();
}

class _ActivityActionViewState extends State<ActivityActionView> {
  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Expanded(
          child: ListView(
            children: <Widget>[
              Text(
                textAlign: TextAlign.left,
                style: const TextStyle(fontSize: 15),
                widget.action.description)
            ],
          ),
        ),
      ],
    );
    // return Column(
    //   children: [Expanded(
    //     child: Column(
    //       children: [
    //         Text(
    //           textAlign: TextAlign.left,
    //           style: const TextStyle(fontSize: 15),
    //           widget.action.description),
    //       ]
    //     ),
    //   ),
    //   // this will be you container
    //   const Column(children: [
    //     Text(
    //           textAlign: TextAlign.left,
    //           style: TextStyle(fontSize: 15),
    //           'bottom')
    //   ],)
    //   ],
    // );
  }

}